import { App, Astal, Gdk, Gtk } from "astal/gtk3";
import Systray from "./Systray";

export default function LeftBar(gdkmonitor: Gdk.Monitor) {
    const { TOP, LEFT, RIGHT } = Astal.WindowAnchor;

    return <window
        className="LeftBar Bar"
        gdkmonitor={gdkmonitor}
        exclusivity={Astal.Exclusivity.EXCLUSIVE}
        anchor={TOP | LEFT | RIGHT}
        application={App}>
        <centerbox>
            <Left />
            <Center />
            <Right />
        </centerbox>
    </window>
}

function Left() {
    return <box halign={Gtk.Align.START}>
    </box>
}

function Center() {
    return <box halign={Gtk.Align.CENTER}>
    </box>
}

function Right() {
    return <box halign={Gtk.Align.END}>
        <Systray />
    </box>
}
